Intrusion Prevention

Mozilla.Firefox.Bootstrapped.Addon.Code.Execution

Description

This indicates an attack attempt to exploit an Remote Code Injection vulnerability in Vesta Control Panel.
The vulnerability is due to insufficient sanitizing of user supplied inputs in the application. An remote attacker may be able to exploit this to execute arbitrary commands within the context of the application.

Affected Products

Firefox version with support of the extensions XUL/XPCOM or the Add-on SDK

Impact

System Compromise: Remote attackers can gain control of vulnerable systems.

Recommended Actions

Applied latest upgrade or patch from the vendor:
https://developer.mozilla.org/en-US/docs/Archive/Add-ons/Bootstrapped_extensions